<div class="full-container">
    <div class="left-content">
        <h4>Deployments</h4>
        <ul>
            <li *ngFor="let d of deployments" [class.active]="deployment !== null && d === deployment"><a [routerLink]="[]"
                    [queryParams]="{'name': d.name}">{{d.name}} <span>({{d.status.readyReplicas !== null ? d.status.readyReplicas : 0}}/{{d.status.replicas}})</span></a></li>
        </ul>
        <div class="add-deployment" [routerLink]="['../', 'create-deployment']">Add deployment</div>
    </div>
    <div class="right-content">
        <div *ngIf="deployment !== null">
            <form [formGroup]="deploymentFG">
                <mat-form-field>
                    <input matInput placeholder="Name" formControlName="name">
                </mat-form-field>
                <mat-form-field>
                    <input matInput placeholder="Namespace" formControlName="namespace">
                </mat-form-field>
            </form>
            <button mat-button color="warn" (click)="deleteDeployment()">Delete deployment</button>
            <h3>PODS</h3>
            <table>
                <thead>
                    <tr>
                        <td>Name</td>
                    </tr>
                </thead>
                <tr *ngFor="let pod of pods">
                    <td>{{pod.name}}</td>
                </tr>
            </table>
        </div>
    </div>
</div>